'''
Created on Dec 19, 2016

@author: klaehn
'''

from engine import Engine

class GateHandler(object):
    """Gate handler class"""
    def __init__(self):
        self.__engine = Engine(13, 19)

    def open(self):
        """Open the gate"""
        self.__engine.up()

    def close(self):
        """Close the gate"""
        self.__engine.down()

    def stop(self):
        """Stop the Engine"""
        self.__engine.stop()
